Summary: A wire chamber simulation program
Name: garfield
%define version 9.25
Version: %{version}
Release: 10.6%{?dist}1e
Source0: garfield-%{version}.tar.gz
Source1: canvas_14_cccccc.gif
Source2: canvas_cccccc_24_l.gif
Patch0: garfield-7.25-garfield.patch
Patch1: garfield-9.11-html.patch
Patch2: garfield-9.11-makefile.patch
Patch3: garfield-8.10-icons.patch
Patch4: garfield-9.25-gfortran.patch
Patch5: garfield-9.25-magboltz-names.patch
License: CERN
Group: CERNLIB
Conflicts: garfield-lite
BuildRoot: %{_tmppath}/garf-root
BuildRequires: cernlib

%description
A wire chamber simulation program.
The package uses CERNLIB which requires
LICENSE agreement with CERN.

%prep
%setup
%patch0 -p1 -b .gf
%patch1 -p1 -b .ht
%patch3 -p1 -b .ic
if [ $(which gfortran 2>&1 | grep -c 'no gfortran') = 0 ]; then
%patch2 -p1 -b .mk
%patch4 -p1 -b .gfort
( cd html
mv make_html make_html.f77
%ifnos darwin
sed -e 's;f77;gfortran -m32 -fno-automatic;g' make_html.f77 > make_html
%else
sed -e 's;f77;gfortran-32 -fno-automatic;g' make_html.f77 > make_html
%endif
)
fi
%patch5 -p1 -b .names
(cd html/labels
uudecode ../labels.uue
tar -xvf labels
)
cp -p $RPM_SOURCE_DIR/canvas*.gif html/labels
ln -s garfield-9_linux.cra garfield-9.cra
ln -s garfadd-9_linux.cra garfadd-9.cra

%build
export PATH=$PATH:/cern/2006/bin
if [ $(which gfortran 2>&1 | grep -c 'no gfortran') = 0 ]; then
%ifnos darwin
make -f makefile_linux FC='gfortran -m32' FDEBUGFLAGS="-O0" garfield-9
%else
make -f makefile_linux FC='gfortran-32' FDEBUGFLAGS="-O0" garfield-9
%endif
else
make -f makefile_linux FDEBUGFLAGS="$RPM_OPT_FLAGS" garfield-9
fi
make -f makefile_linux help
if [ $(which gfortran 2>&1 | grep -c 'no gfortran') = 0 ]; then
%ifnos darwin
make -f makefile_linux doc FC='gfortran -m32'
%else
make -f makefile_linux doc FC='gfortran-32'
%endif
else
make -f makefile_linux doc
fi

%install
mkdir -p $RPM_BUILD_ROOT/cern/pro/bin
mkdir -p $RPM_BUILD_ROOT/cern/pro/share/garfield
install -c -s -m 755 garfield-9 $RPM_BUILD_ROOT/cern/pro/bin
install -c -m 644 garfield.packhelp  $RPM_BUILD_ROOT/cern/pro/share/garfield
install -c -m 644 garfinit  $RPM_BUILD_ROOT/cern/pro/share/garfield
(cd doc/labels
 rm -f *.ht 
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,wheel)
%doc doc/*
/cern/pro/bin/garfield-9
%dir /cern/pro/share/garfield
/cern/pro/share/garfield/*

%changelog
* Wed Jan 26 2011 Keisuke Fujii <keisuke.fujii@kek.jp> 9.25-10.6hepx2a
- 4th build on MacOS X 10.6 for Intel Macs
- added magboltz-names patch to rename /NAMES/ to /NAMESG/ so as to
  avoid conflict with names.o in CERNLIB's mathlib.
- built with gcc4.5.1 and libgfortran.dylib

* Sun Nov 14 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 9.25-10.6hepx1d
- 3rd build on MacOS X 10.6 for Intel Macs
- built with gcc4.5.1

* Fri Oct 01 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 9.25-10.6hepx1c
- 2nd build on MacOS X 10.6 for Intel Macs
- built with gcc4.5.1

* Mon Mar 08 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 9.25-10.6hepx1b
- 1st build on MacOS X 10.6 for Intel Macs

* Wed Sep 17 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 9.25-10.5hepx1b
- 2nd build on MacOS X 10.5 for Intel Macs
- MXLIST, MXLINE, and MXEQUT doubled

* Wed Jul 16 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 9.25-10.5hepx1a
- 1st build on MacOS X 10.5 for Intel Macs

* Wed Mar 26 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 9.11-10.5hepx1a
- 1st build on MacOS X 10.5 for Intel Macs

* Wed Apr 18 2007 Keisuke Fujii <keisuke.fujii@kek.jp> 9.11-1b
- 2nd build on MacOS X 10.4 for Intel Macs

* Tue Oct 10 2006 Keisuke Fujii <keisuke.fujii@kek.jp> 9.11-1a
- 1st build on MacOS X 10.4 for Intel Macs

